"""
Django settings for training project.

Generated by 'django-admin startproject' using Django 2.0.

For more information on this file, see
https://docs.djangoproject.com/en/2.0/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/2.0/ref/settings/
"""

import os

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/2.0/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '#h+b&24n%l3()37#-yd-9c4qy6_&jthms95r$ar+#y+w3fdndp'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = []


# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    # 'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'training.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'training.wsgi.application'


# Database
# https://docs.djangoproject.com/en/2.0/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.mysql',  # 设置为mysql数据库
        'NAME': 'plutus_test',
        'USER': 'work',
        'PASSWORD': 'workwork',
        'HOST': 'rdsmaqevmuzj6jy.mysql.rds.aliyuncs.com',
        'PORT': '',
        'OPTIONS': {
            "init_command": "SET foreign_key_checks = 0;",
            "charset": "utf8mb4",  # 为了支持emoji表情
        },
    },
}


# Password validation
# https://docs.djangoproject.com/en/2.0/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/2.0/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True

AES_KEY = 'keycasefornonprd'  # 16个字节的密钥
AES_IV = 'iv_casefornonprd'  # 16个字节的初始向量


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/2.0/howto/static-files/

STATIC_URL = '/static/'

# #################### 博金贷相关-START #####################
BJD_MOCK = False
BJD_SERVICE = 'http://47.94.226.224:8181/hurong_proj_bj_byph/platformInterface'
BJD_MERCHANT_NO = 'SH002'
BJD_BACKURL = 'http://www.thor.test.igengmei.com/api/web/#/bjd/accreditinfo?order_id={}'
BJD_MERCHANT_PRIKEY = """-----BEGIN RSA PRIVATE KEY-----
MIICdwIBADANBgkqhkiG9w0BAQEFAASCAmEwggJdAgEAAoGBAM0Cz9o9g0GuZ4ap
+nxyk5gk15dxUch1GvSAnBBqKdwm76y+o9RgamGMGCvEuai9gxXKMgSMdbhV3onJ
znV3ee+8ppTa90K57mVrWgt5gJUHTTAPHqxrGvtRpbqwNAOT7oR9kII4CcPCxzpJ
+yLYNHlM/5ewpkNPQifCk4bEBaWRAgMBAAECgYAGgbBXHNytmPtwKrTofjpw+bpd
9BrEYfMZD3vkiXoKorG4qdRJSUYXEnsx6Gx8Doe6iVBNFKgn0ZHejakf0UrtYmPz
Ap0H21O2Sj8SrzF4fsH5vmDfasa6OQMlJyXSYMQ3Q35uFdIOAkcVGdap2d22dCFe
rwp3iCqzHMXrYFIuAQJBAOmkYk1EMeTsabfm7CCQS/CF4gopx2s4eWBIHT21ujNZ
LRaPKPuYJXHuZDViBCstKd6XXHsbti81X6viGbQapWUCQQDgoQpcdrM/5D7n9Xgt
GqmNnOeTZ2GYuoH5kQp1FL64Yx9QpJmylJff+WewsEvnLK+yXgnthc3JIQ4PrHwM
R8K9AkEAzN9LH4ur4Jv5e7vu1AMTw93yPo0yA2/q5qV1lpYSp1IL+lsgSbW5J/Ut
Q64mD6Izs66v9ndvQmgf8z144nf3DQJAe93x47kE8UeAtNJ0mZKpStDqFiuc8uZu
A9vKQ3PUE8N9IjASHRq5gSV72z/sKydGH3qhyNvO9YkHwvbfVLpBlQJBAMCHS7UH
RC11KvwyDDqRru3QAr7lJ3RxpIQOz3KCKvTiU3W+r2jSZ7bVal4eZbh+mvqrVH3Q
1mn2yz4MNzfVeUs=
-----END PUBLIC KEY-----
"""
BJD_PLATFORM_PUBKEY = """-----BEGIN PUBLIC KEY-----
MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCuWA51DrLInq8BJqkT6DF6kpub
NMoTQpnhVV3hpyi0LBrqCK6f1kQFj9ZnqOaq35DWQmvvV/2suMjNwgyvLktpkm1T
KNtB2noKAgM3xfXE9NQDXLcKSVNmTK42NC0UPsp92DZIvYaGLDw4mLzQKbQ+A1Tr
Md7y1ncR3DGTxZXCtQIDAQAB
-----END PUBLIC KEY-----
"""
BJD_MERCHANT_PUBKEY = """-----BEGIN PUBLIC KEY-----
MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDNAs/aPYNBrmeGqfp8cpOYJNeX
cVHIdRr0gJwQaincJu+svqPUYGphjBgrxLmovYMVyjIEjHW4Vd6Jyc51d3nvvKaU
2vdCue5la1oLeYCVB00wDx6saxr7UaW6sDQDk+6EfZCCOAnDwsc6Sfsi2DR5TP+X
sKZDT0InwpOGxAWlkQIDAQAB
-----END PUBLIC KEY-----
"""
BJD_PLATFORM_PRIKEY = """-----BEGIN RSA PRIVATE KEY-----
MIICdgIBADANBgkqhkiG9w0BAQEFAASCAmAwggJcAgEAAoGBAK5YDnUOssierwEm
qRPoMXqSm5s0yhNCmeFVXeGnKLQsGuoIrp/WRAWP1meo5qrfkNZCa+9X/ay4yM3C
DK8uS2mSbVMo20HaegoCAzfF9cT01ANctwpJU2ZMrjY0LRQ+yn3YNki9hoYsPDiY
vNAptD4DVOsx3vLWdxHcMZPFlcK1AgMBAAECgYB+5AIpunfvQmdXLB81KPMSJjBx
BzvoRroe4fYBbZtXfx5bpdQK63T4o1bGfYzdYvhUqWVLfzxXgOpNr2Vx/vzM9rWi
oJTDMowrlalfUqIs9Dp0MBxwnPg19JWq5KxWbdg2JJ24qbaTCm95Nt/ajiFqyUhP
jp5UiLhjM/aumy5vhQJBAOCkgoh8FSMP2NTKstFIcXp/p4xKNQ9mym+1FmdRkg3G
0RVKi6ApQJVzqBpYL0h5b4cLhL/2hjB9/iNU7PR42J8CQQDGriZiaGV3IIYrT3Pc
pBjaIMpWwerSIgxguViBiTBrRmL3W2h9thSp2X/Iz7ayWsXXRHPiX672a072B7U6
WqArAkAtEHNrI9EtrnEmBt+mYiz5kQAwgXZxd4JmtGIhKdjt0JOC/OhTodLl6ESx
vD0IAexgn+vqgm7a7Xt85P1/8XorAkBbrL/JaKJo9XjzQxYTGSTegYLbxV6010Ee
4GcWXlcZKMFBocv1Na8TMGjmH/INGhVv3wYZzkzNJ3anz6av5mFBAkEAqt5LpXEL
YRTCGuY8EgB7Qgj+35ihXlFw5C6Assv9oCz6U3lHaxbmDbbrIqdSA2AwJvhuG+WH
wHluD8QR8paAog==
-----END PUBLIC KEY-----
"""
BJD_AUTHOR = [1001, 1002]
BJD_EXTRA_AUTHOR = [1004, 1005]
BJD_EXTRA_AMOUNT = 15000
# #################### 博金贷相关-END   #####################

